%global momorel 2

Summary: Hardware Health Monitoring Tools
Name: lm_sensors
Version: 2.8.7
Release: %{momorel}m
Group: Applications/System
License: GPL
Source0: http://secure.netroedge.com/~lm78/archive/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
# lm_sensors-2.7.0 requires i2c-2.7.0 patched kernel
BuildRequires: kernel-headers >= 2.4.22-28m
Requires: kernel >= 2.4.22-28m
URL: http://secure.netroedge.com/~lm78/
NoSource: 0

Patch0: lm_sensors.ppc.patch
Patch1: lm_sensors-2.8.7-init.patch

%description
This package contains a collection of user space tools for general SMBus
access and hardware monitoring. SMBus, also known as System Management Bus,
is a protocol for communicating through a I2C ('I squared C') bus. Many modern
mainboards have a System Management Bus. There are a lot of devices which can
be connected to a SMBus; the most notable are modern memory chips with EEPROM
memories and chips for hardware monitoring.

Most modern mainboards incorporate some form of hardware monitoring chips.
These chips read things like chip temperatures, fan rotation speeds and
voltage levels. There are quite a few different chips which can be used
by mainboard builders for approximately the same results.

%prep
%setup -q
%ifarch ppc
%patch0 -p1 -b .ppc
%endif
%patch1 -p1 -b .sysinit
perl -p -i -e 's, -o +root -g root , ,' `find . -name Module.mk`
perl -p -i -e 's, -o root -g root , ,' `find . -name Makefile`
perl -p -i -e 's, -o \$\(MANOWN\) -g \$\(MANGRP\) , ,' `find . -name Module.mk`

perl -p -i -e 's,prog/mkdev/mkdev.sh,%{_sbindir}/i2c-mkdev.sh,' prog/detect/sensors-detect

%build
make -j%{_numjobs} || :
make user

%install
rm -rf %{buildroot}
make user_install DESTDIR=%{buildroot} PREFIX=%{_prefix} MANDIR=%{_mandir}
mkdir -p %{buildroot}%{_initscriptdir}
install -m 755 prog/mkdev/mkdev.sh %{buildroot}%{_sbindir}/i2c-mkdev.sh
install -m 755 prog/init/lm_sensors.init %{buildroot}%{_initscriptdir}/lm_sensors

# /usr/local/bin -> /usr/bin
sed -e 's,/usr/local/bin/sensors,/usr/bin/sensors,g' %{buildroot}%{_sbindir}/sensors-detect \
   > %{buildroot}%{_sbindir}/sensors-detect.tmp
chmod --reference=%{buildroot}%{_sbindir}/sensors-detect %{buildroot}%{_sbindir}/sensors-detect.tmp
mv %{buildroot}%{_sbindir}/sensors-detect.tmp %{buildroot}%{_sbindir}/sensors-detect

rm -rf %{buildroot}/lib
rm -rf %{buildroot}%{_includedir}/linux/i2c-dev.h
rm -rf %{buildroot}%{_includedir}/linux/sensors.h

%post
ldconfig || /bin/true
/sbin/chkconfig --add lm_sensors
echo "please make character device file by %{_sbindir}/i2c-mkdev.sh"
echo "please run \`%{_sbindir}/sensors-detect' to configure the sensors."


%postun
ldconfig || /bin/true
if [ $1 = 0 ]; then
    %{_initscriptdir}/lm_sensors stop > /dev/null 2>&1
    /sbin/chkconfig --del lm_sensors
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config /etc/sensors.conf
%{_prefix}/bin/*
%{_prefix}/lib/*
%{_prefix}/include/sensors
%{_mandir}/man?/*
%{_sbindir}/*
%{_initscriptdir}/lm_sensors
%doc BACKGROUND BUGS CHANGES CONTRIBUTORS COPYING INSTALL QUICKSTART README* TODO
%doc doc

%changelog
* Sun Jul  4 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.8.7-2m)
- stop daemon

* Mon Jun 21 2004 muradaikan <muradaikan@momonga-linux.org>
- (2.8.7-1m)
- version update to 2.8.7
- change spec to build against linux kernel 2.6.x
     make    	  -> make user
     make install -> make user_install

* Mon May 17 2004 mutecat <mutecat@momonga-linux.org>
- (2.8.4-3m)
- change lm_sensors.ppc.patch

* Mon Mar 22 2004 Toru Hoshina <t@momonga-linux.org>
- (2.8.4-2m)
- revised spec for enabling rpm 4.2.

* Fri Feb 20 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.8.4-1m)
- update to 2.8.4

* Thu Nov 20 2003 zunda <zunda at freeshell.org>
- (2.8.1-2m)
- lm_sensors-2.8.1.sensors-path.patch corrects the path from
  /usr/local/bin/sensors to /usr/bin/sensors

* Mon Nov 17 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.8.1-1m)
- update to 2.8.1
- replace my old e-mail addresses in this spec file
- add more files to %%files

* Sun Feb  2 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.7.0-1m)
- update to 2.7.0
- change URL
- move i2c-mkdev.sh from /dev to %%{_sbindir}
- add %%{_initscriptdir}/lm_sensors

* Sat Jul 20 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.6.4-1m)
- minor feature enhancements

* Sun May 26 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (2.6.3-3k)
- revise Source0:

* Sun Mar 31 2002 MATSUDA, Daiki <dyky@dyky.org>
- (2.6.3-2k)
- update to 2.6.3

* Tue Nov 20 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.6.2-2k)
- update to 2.6.2

* Mon Sep  3 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.6.1-2k)
- update to 2.6.1

* Wed Aug 15 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.6.1-0.020010814002k)
- update to 2.6.1-20010814(CVS) for kernel-2.4.8

* Sun Jul 29 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.6.0-2k)
- update to 2.6.0

* Tue Mar 17 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.5.5-2k)
- update to 2.5.5

* Tue Mar 17 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.5.4-6k)
- fixed for ppc

* Tue Dec 19 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.5.4-5k)
- added alpha.prog.dump.isadump.c.patch for Alpha
- added i2c-mkdev.sh

* Mon Dec 18 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.5.4-3k)
- Initial Kondarization
